From 9a6f15a7d531afa28f8cd8f67edbe301a8ea7ed5 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@2ndquadrant.com>
Date: Sun, 8 Nov 2020 22:37:29 +0100
Subject: [PATCH 2/2] rename objects in regression test

---
 src/test/regress/expected/psql.out | 120 ++++++++++++++---------------
 src/test/regress/sql/psql.sql      |  36 ++++-----
 2 files changed, 78 insertions(+), 78 deletions(-)

diff --git a/src/test/regress/expected/psql.out b/src/test/regress/expected/psql.out
index 701f2dbe59..27c73445d5 100644
--- a/src/test/regress/expected/psql.out
+++ b/src/test/regress/expected/psql.out
@@ -5073,79 +5073,79 @@ List of access methods
 (5 rows)
 
 -- check printing info about extended statistics
-create table t1 (a int, b int);
-create statistics stts_1 (dependencies) on a, b from t1;
-create statistics stts_2 (dependencies, ndistinct) on a, b from t1;
-create statistics stts_3 (dependencies, ndistinct, mcv) on a, b from t1;
-create table t2 (a int, b int, c int);
-create statistics stts_4 on b, c from t2;
-create table hoge (col1 int, col2 int, col3 int);
-create statistics stts_hoge on col1, col2, col3 from hoge;
-create schema foo;
-create schema yama;
-create statistics foo.stts_foo on col1, col2 from hoge;
-create statistics yama.stts_yama (ndistinct, mcv) on col1, col3 from hoge;
-insert into t1 select i,i from generate_series(1,100) i;
-analyze t1;
+create table stts_t1 (a int, b int);
+create statistics stts_1 (dependencies) on a, b from stts_t1;
+create statistics stts_2 (dependencies, ndistinct) on a, b from stts_t1;
+create statistics stts_3 (dependencies, ndistinct, mcv) on a, b from stts_t1;
+create table stts_t2 (a int, b int, c int);
+create statistics stts_4 on b, c from stts_t2;
+create table stts_t3 (col1 int, col2 int, col3 int);
+create statistics stts_hoge on col1, col2, col3 from stts_t3;
+create schema stts_s1;
+create schema stts_s2;
+create statistics stts_s1.stts_foo on col1, col2 from stts_t3;
+create statistics stts_s2.stts_yama (ndistinct, mcv) on col1, col3 from stts_t3;
+insert into stts_t1 select i,i from generate_series(1,100) i;
+analyze stts_t1;
 \dX
-                              List of extended statistics
- Schema |   Name    |         Definition         | N_distinct | Dependencies |   Mcv   
---------+-----------+----------------------------+------------+--------------+---------
- foo    | stts_foo  | col1, col2 FROM hoge       | defined    | defined      | defined
- public | stts_1    | a, b FROM t1               |            | built        | 
- public | stts_2    | a, b FROM t1               | built      | built        | 
- public | stts_3    | a, b FROM t1               | built      | built        | built
- public | stts_4    | b, c FROM t2               | defined    | defined      | defined
- public | stts_hoge | col1, col2, col3 FROM hoge | defined    | defined      | defined
- yama   | stts_yama | col1, col3 FROM hoge       | defined    |              | defined
+                                List of extended statistics
+ Schema  |   Name    |          Definition           | N_distinct | Dependencies |   Mcv   
+---------+-----------+-------------------------------+------------+--------------+---------
+ public  | stts_1    | a, b FROM stts_t1             |            | built        | 
+ public  | stts_2    | a, b FROM stts_t1             | built      | built        | 
+ public  | stts_3    | a, b FROM stts_t1             | built      | built        | built
+ public  | stts_4    | b, c FROM stts_t2             | defined    | defined      | defined
+ public  | stts_hoge | col1, col2, col3 FROM stts_t3 | defined    | defined      | defined
+ stts_s1 | stts_foo  | col1, col2 FROM stts_t3       | defined    | defined      | defined
+ stts_s2 | stts_yama | col1, col3 FROM stts_t3       | defined    |              | defined
 (7 rows)
 
 \dX stts_?
-                     List of extended statistics
- Schema |  Name  |  Definition  | N_distinct | Dependencies |   Mcv   
---------+--------+--------------+------------+--------------+---------
- public | stts_1 | a, b FROM t1 |            | built        | 
- public | stts_2 | a, b FROM t1 | built      | built        | 
- public | stts_3 | a, b FROM t1 | built      | built        | built
- public | stts_4 | b, c FROM t2 | defined    | defined      | defined
+                        List of extended statistics
+ Schema |  Name  |    Definition     | N_distinct | Dependencies |   Mcv   
+--------+--------+-------------------+------------+--------------+---------
+ public | stts_1 | a, b FROM stts_t1 |            | built        | 
+ public | stts_2 | a, b FROM stts_t1 | built      | built        | 
+ public | stts_3 | a, b FROM stts_t1 | built      | built        | built
+ public | stts_4 | b, c FROM stts_t2 | defined    | defined      | defined
 (4 rows)
 
-\dX *hoge
-                              List of extended statistics
- Schema |   Name    |         Definition         | N_distinct | Dependencies |   Mcv   
---------+-----------+----------------------------+------------+--------------+---------
- public | stts_hoge | col1, col2, col3 FROM hoge | defined    | defined      | defined
+\dX *stts_hoge
+                               List of extended statistics
+ Schema |   Name    |          Definition           | N_distinct | Dependencies |   Mcv   
+--------+-----------+-------------------------------+------------+--------------+---------
+ public | stts_hoge | col1, col2, col3 FROM stts_t3 | defined    | defined      | defined
 (1 row)
 
 \dX+
-                                               List of extended statistics
- Schema |   Name    |         Definition         | N_distinct | Dependencies |   Mcv   |  N_size  |  D_size  |   M_size   
---------+-----------+----------------------------+------------+--------------+---------+----------+----------+------------
- foo    | stts_foo  | col1, col2 FROM hoge       | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
- public | stts_1    | a, b FROM t1               |            | built        |         |          | 40 bytes | 
- public | stts_2    | a, b FROM t1               | built      | built        |         | 13 bytes | 40 bytes | 
- public | stts_3    | a, b FROM t1               | built      | built        | built   | 13 bytes | 40 bytes | 6126 bytes
- public | stts_4    | b, c FROM t2               | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
- public | stts_hoge | col1, col2, col3 FROM hoge | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
- yama   | stts_yama | col1, col3 FROM hoge       | defined    |              | defined | 0 bytes  |          | 0 bytes
+                                                 List of extended statistics
+ Schema  |   Name    |          Definition           | N_distinct | Dependencies |   Mcv   |  N_size  |  D_size  |   M_size   
+---------+-----------+-------------------------------+------------+--------------+---------+----------+----------+------------
+ public  | stts_1    | a, b FROM stts_t1             |            | built        |         |          | 40 bytes | 
+ public  | stts_2    | a, b FROM stts_t1             | built      | built        |         | 13 bytes | 40 bytes | 
+ public  | stts_3    | a, b FROM stts_t1             | built      | built        | built   | 13 bytes | 40 bytes | 6126 bytes
+ public  | stts_4    | b, c FROM stts_t2             | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
+ public  | stts_hoge | col1, col2, col3 FROM stts_t3 | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
+ stts_s1 | stts_foo  | col1, col2 FROM stts_t3       | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
+ stts_s2 | stts_yama | col1, col3 FROM stts_t3       | defined    |              | defined | 0 bytes  |          | 0 bytes
 (7 rows)
 
 \dX+ stts_?
-                                       List of extended statistics
- Schema |  Name  |  Definition  | N_distinct | Dependencies |   Mcv   |  N_size  |  D_size  |   M_size   
---------+--------+--------------+------------+--------------+---------+----------+----------+------------
- public | stts_1 | a, b FROM t1 |            | built        |         |          | 40 bytes | 
- public | stts_2 | a, b FROM t1 | built      | built        |         | 13 bytes | 40 bytes | 
- public | stts_3 | a, b FROM t1 | built      | built        | built   | 13 bytes | 40 bytes | 6126 bytes
- public | stts_4 | b, c FROM t2 | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
+                                         List of extended statistics
+ Schema |  Name  |    Definition     | N_distinct | Dependencies |   Mcv   |  N_size  |  D_size  |   M_size   
+--------+--------+-------------------+------------+--------------+---------+----------+----------+------------
+ public | stts_1 | a, b FROM stts_t1 |            | built        |         |          | 40 bytes | 
+ public | stts_2 | a, b FROM stts_t1 | built      | built        |         | 13 bytes | 40 bytes | 
+ public | stts_3 | a, b FROM stts_t1 | built      | built        | built   | 13 bytes | 40 bytes | 6126 bytes
+ public | stts_4 | b, c FROM stts_t2 | defined    | defined      | defined | 0 bytes  | 0 bytes  | 0 bytes
 (4 rows)
 
-\dX+ *hoge
-                                             List of extended statistics
- Schema |   Name    |         Definition         | N_distinct | Dependencies |   Mcv   | N_size  | D_size  | M_size  
---------+-----------+----------------------------+------------+--------------+---------+---------+---------+---------
- public | stts_hoge | col1, col2, col3 FROM hoge | defined    | defined      | defined | 0 bytes | 0 bytes | 0 bytes
+\dX+ *stts_hoge
+                                              List of extended statistics
+ Schema |   Name    |          Definition           | N_distinct | Dependencies |   Mcv   | N_size  | D_size  | M_size  
+--------+-----------+-------------------------------+------------+--------------+---------+---------+---------+---------
+ public | stts_hoge | col1, col2, col3 FROM stts_t3 | defined    | defined      | defined | 0 bytes | 0 bytes | 0 bytes
 (1 row)
 
-drop table t1, t2, hoge;
-drop schema foo, yama;
+drop table stts_t1, stts_t2, stts_t3;
+drop schema stts_s1, stts_s2;
diff --git a/src/test/regress/sql/psql.sql b/src/test/regress/sql/psql.sql
index dc9f4b2159..5ebfe184a4 100644
--- a/src/test/regress/sql/psql.sql
+++ b/src/test/regress/sql/psql.sql
@@ -1227,30 +1227,30 @@ drop role regress_partitioning_role;
 \dAp * pg_catalog.uuid_ops
 
 -- check printing info about extended statistics
-create table t1 (a int, b int);
-create statistics stts_1 (dependencies) on a, b from t1;
-create statistics stts_2 (dependencies, ndistinct) on a, b from t1;
-create statistics stts_3 (dependencies, ndistinct, mcv) on a, b from t1;
+create table stts_t1 (a int, b int);
+create statistics stts_1 (dependencies) on a, b from stts_t1;
+create statistics stts_2 (dependencies, ndistinct) on a, b from stts_t1;
+create statistics stts_3 (dependencies, ndistinct, mcv) on a, b from stts_t1;
 
-create table t2 (a int, b int, c int);
-create statistics stts_4 on b, c from t2;
+create table stts_t2 (a int, b int, c int);
+create statistics stts_4 on b, c from stts_t2;
 
-create table hoge (col1 int, col2 int, col3 int);
-create statistics stts_hoge on col1, col2, col3 from hoge;
+create table stts_t3 (col1 int, col2 int, col3 int);
+create statistics stts_hoge on col1, col2, col3 from stts_t3;
 
-create schema foo;
-create schema yama;
-create statistics foo.stts_foo on col1, col2 from hoge;
-create statistics yama.stts_yama (ndistinct, mcv) on col1, col3 from hoge;
+create schema stts_s1;
+create schema stts_s2;
+create statistics stts_s1.stts_foo on col1, col2 from stts_t3;
+create statistics stts_s2.stts_yama (ndistinct, mcv) on col1, col3 from stts_t3;
 
-insert into t1 select i,i from generate_series(1,100) i;
-analyze t1;
+insert into stts_t1 select i,i from generate_series(1,100) i;
+analyze stts_t1;
 
 \dX
 \dX stts_?
-\dX *hoge
+\dX *stts_hoge
 \dX+
 \dX+ stts_?
-\dX+ *hoge
-drop table t1, t2, hoge;
-drop schema foo, yama;
+\dX+ *stts_hoge
+drop table stts_t1, stts_t2, stts_t3;
+drop schema stts_s1, stts_s2;
-- 
2.26.2

